## org.eclipse.emf.ecore.impl
Class EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl

    java.lang.Object
      org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl
          org.eclipse.emf.ecore.impl.EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl

All Implemented Interfaces:
  EStructuralFeature.Internal.DynamicValueHolder, BasicEObjectImpl.EPropertiesHolder

Enclosing class:
  EStringToStringMapEntryImpl

    protected static class EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl

extends BasicEObjectImpl.EPropertiesHolderBaseImpl

Field Summary
`protected EList<EObject>` `eContents`
`protected EList<EObject>` `eCrossReferences`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl
`eClass, eResource, eSettings, NO_SETTINGS`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Constructor Summary
`protected` `EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl()`

Method Summary
`EList<EObject>` `getEContents()`
`EList<EObject>` `getECrossReferences()`
`void` `setEContents(EList<EObject> eContents)`
`void` `setECrossReferences(EList<EObject> eCrossReferences)`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl
`allocateSettings, dynamicGet, dynamicSet, dynamicUnset, getEClass, getEProxyURI, getEResource, hasSettings, setEClass, setEProxyURI, setEResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eContents

    protected EList<EObject> eContents

### eCrossReferences

    protected EList<EObject> eCrossReferences

Constructor Detail

### EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl

    protected EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl()

Method Detail

### getEContents

    public EList<EObject> getEContents()

  Specified by:
    `getEContents` in interface `BasicEObjectImpl.EPropertiesHolder`
  Overrides:
    `getEContents` in class `BasicEObjectImpl.EPropertiesHolderBaseImpl`

### setEContents

    public void setEContents(EList<EObject> eContents)

  Specified by:
    `setEContents` in interface `BasicEObjectImpl.EPropertiesHolder`
  Overrides:
    `setEContents` in class `BasicEObjectImpl.EPropertiesHolderBaseImpl`

### getECrossReferences

    public EList<EObject> getECrossReferences()

  Specified by:
    `getECrossReferences` in interface `BasicEObjectImpl.EPropertiesHolder`
  Overrides:
    `getECrossReferences` in class `BasicEObjectImpl.EPropertiesHolderBaseImpl`

### setECrossReferences

    public void setECrossReferences(EList<EObject> eCrossReferences)

  Specified by:
    `setECrossReferences` in interface `BasicEObjectImpl.EPropertiesHolder`
  Overrides:
    `setECrossReferences` in class `BasicEObjectImpl.EPropertiesHolderBaseImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.